<template>
  <div class="overflow-auto pt-4" v-if="solicitudes.length > 0">
    <div class="ml-4">
      <h4 class="text-white text-left bg-none pt-4 ml-4 titulo">Solicitudes de amistad</h4>
      <div class="list-group">
        <div v-for="solicitud in solicitudes" :key="solicitud.id">
          <a href="#" class="list-group-item list-group-item-action border-0 text-white bg-transparent">
            <div class="d-flex align-items-center">
              <div class="contenedorImg mr-3">
                <img :src="fotoPerfil" id="iconoPerfil">
              </div>
              <div class="d-flex flex-column">
                <span class="text-white text-left mb-0">{{ solicitud.nombreUsuario }}</span>
                <div class="d-flex justify-content-end">
                  <button class="btn btn-primary btn-sm me-2" @click="aceptarSolicitud(solicitud.id)">Confirmar</button>
                  <button class="btn btn btn-sm text-white">Eliminar</button>
                </div>
              </div>
            </div>
          </a>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from 'axios';
import { buscarImagenDePerfilDeUnUsuario } from "@/Services/muro/MuroService.js"

export default {
  name: "CuadroSolicitudes",
  data() {
    return {
      solicitudes: [],
      fotoPerfil: null,
      usuario: null,

    };
  },
  methods: {
    listarSolicitudes() {
      axios
        .get("http://localhost:3001/solicitudes/obtenerSolicitudesRecibidas")
        .then((response) => {
          this.solicitudes = response.data;
          console.log("solicitudes")
          console.log(this.solicitudes)
        })
        .catch((error) => {
          console.error(error);
        });
    },

    
    async buscarFotoPerfil(usuario) {
      try {
        this.fotoPerfil = await buscarImagenDePerfilDeUnUsuario(usuario);
        console.log("foto perfil")
        console.log(this.fotoPerfil)
        return this.fotoPerfil
      } catch (e) {
        console.log(e)
      }
    },

    aceptarSolicitud(id){
        axios
        .post(`http://localhost:3001/solicitudes/aceptarSolicitud?destinatarioId=${id}`)
        .then(response => {
      console.log(response);
    })
    .catch(error => {
      console.log(error);
    });
    }

  },
  async created() {
    this.listarSolicitudes();
    await this.buscarFotoPerfil();
  }
};
</script>

<style scoped>
#solicitud {
  flex-direction: row;
  background-color: transparent;
  color: white;
  overflow: hidden;
}

#iconoPerfil {
  border-radius: 50%;
  width: 100%;
  height: 100%;
  object-fit: cover;
  overflow: hidden;
}

.contenedorImg {
  width: 50px;
  height: 50px;
  overflow: hidden;
}

.card-text {
  margin-bottom: 0.5rem;
}

.btn-sm {
  border: none;
  padding: 0.3rem 0.3rem;
}
</style>